import { HttpClient } from '@angular/common/http';
import { AuthService } from './auth.service';
import { Configurations } from '../configurations';
import { RiskCommonService } from './common-workflow-services/risk-common.service';
import * as i0 from "@angular/core";
export declare class AddRiskService {
    private http;
    private authService;
    private riskCommonService;
    env: any;
    private orgUserRisk;
    private rcList;
    private groupList;
    private adminList;
    constructor(http: HttpClient, authService: AuthService, riskCommonService: RiskCommonService, config?: Configurations);
    getAdminKeyAdminList(): import("rxjs").Observable<any>;
    getCategoryList(): import("rxjs").Observable<any>;
    getOrganizationUsers(): import("rxjs").Observable<any>;
    getResponsibilityCenterList(rcArray: any[], riskId: String): import("rxjs").Observable<any>;
    getRiskSettingDetails(): import("rxjs").Observable<any>;
    downLoadFile(data: any, type: string, filename: string): string;
    base64ToArrayBuffer(base64: any): ArrayBufferLike;
    downloadTemplate(categoryId: string): import("rxjs").Observable<import("@angular/common/http").HttpEvent<Object>>;
    downloadResponsibilityTemplate(version?: any): import("rxjs").Observable<import("@angular/common/http").HttpEvent<Object>>;
    addRisk(payload: any): import("rxjs").Observable<any>;
    addBulkRisk(payload: any[]): import("rxjs").Observable<any>;
    getRiskDetail(riskId: string): import("rxjs").Observable<any>;
    updateRisk(riskId: string, payload: any): import("rxjs").Observable<any>;
    getGroupsList(): import("rxjs").Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddRiskService, [null, null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AddRiskService>;
}
